# WINS.PM
#
# Copyright (c) 1997-1999 Symbian Ltd.  All rights reserved.
#


# Makmake-module for creating MAKMAKE WINS command-line makefiles

package Wins;

require Exporter;
@ISA=qw(Exporter);
@EXPORT=qw(
	PMGetPlatProcType
	PMGetDefFilePath
	PMGetBldList
	PMGetDefBaseExts
	PMGetPlatMacroList 
	PMGetBldMacroList
);


my $COMMAND_LINE_PLATFORM;

{	# Switch to makmake.pl context in this block to load extra modules
	package main;
	use Cl_win;
}

sub PMGetPlatProcType {
	'SINGLE';
}

sub PMGetDefFilePath {
	"\\".&main::Prj."\\BWINS\\";
}

sub PMGetBldList {
	('DEB','REL','UDEB','UREL');
}

sub PMGetDefBaseExts {
	('UDEB','U','UREL','U');
}

sub PMGetPlatMacroList {
	('__VC32__','__WINS__');
}

sub PMGetBldMacroList {

	$_=&main::Bld;

	{
		if (/^REL$/o) {
			return('NDEBUG');
		}
		if (/^DEB$/o) {
			return('_DEBUG');
		}
		if (/^UREL$/o) {
			return('NDEBUG','_UNICODE');
		}
		if (/^UDEB$/o) {
			return('_DEBUG','_UNICODE');
		}
	}
}

1;
